MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032523Open CASCADE[OCCT] OCCT:DRAWpublic2021-08-06 16:112021-08-14 14:01
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.6.0* 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032523: Draw Harness, ViewerTest - vrepaint -continuous has no effect
Description"vrepaint -continuous" should start continuous viewer updates, but it doesn't work anymore.
Steps To Reproduce
pload MODELING VISUALIZATION
psphere s 1
vinit View1
vdisplay -dispMode 1 s
vfit
vviewcube vc
vrenderparams -perfStats fps
vrepaint -continuous

Bug: FPS meter indicates no updates.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0032433verifiedbugmaster Visualization, TKService - introduce Wasm_Window implementing Aspect_Window interface using Emscripten SDK 

-  Notes
(0103038)
git (administrator)
2021-08-06 16:59

Branch CR32523 has been created by kgv.

SHA-1: 31fae339df1a982e14edfabb97f321e87cd3e2a7


Detailed log of new commits:

Author: kgv
Date: Fri Aug 6 16:13:58 2021 +0300

    0032523: Draw Harness, ViewerTest - vrepaint -continuous has no effect
    
    ViewerTest_ContinuousRedrawer now explicitly invalidates V3d_View content
    in addition to emitting window content redrawing request.
    
    "vrepaint -continuous" now tries to avoid creation of dedicated thread
    on Windows platform and relies on AIS_ViewController::SetContinuousRedraw().
(0103040)
git (administrator)
2021-08-06 17:35

Branch CR32523 has been updated forcibly by kgv.

SHA-1: 18144407355aaf2406f8e7d368b8245bbfeb9ef8
(0103089)
git (administrator)
2021-08-07 14:08

Branch CR32523 has been updated forcibly by kgv.

SHA-1: a21f8c6299527af21f6e9431533baed6f3a66ffc
(0103092)
kgv (developer)
2021-08-07 15:43

Please raise the patch
- OCCT: branch CR32523.

http://jenkins-test-12.nnov.opencascade.com/view/CR32523-master-KGV2/ [^]
(0103196)
bugmaster (administrator)
2021-08-14 13:22

Combination -
OCCT branch : IR-2021-08-13
master SHA - 7b5f784419eb9fd9a1d3dc69eff89d3e720d6e97
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-08-13 SHA - 8dc957c07e49e8db2f1330ec126160fe1c7eb89d
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17368.20000000041 / 17370.70000000038 [-0.01%]
Products
Total CPU difference: 11492.330000000085 / 11466.840000000084 [+0.22%]
Windows-64-VC14:
OCCT
Total CPU difference: 19143.8125 / 19180.875 [-0.19%]
Products
Total CPU difference: 12803.65625 / 12837.4375 [-0.26%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0103213)
git (administrator)
2021-08-14 14:01

Branch CR32523 has been deleted by mnt.

SHA-1: a21f8c6299527af21f6e9431533baed6f3a66ffc

- Related Changesets
occt: master f227f3dc
Timestamp: 2021-08-06 13:13:58
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032523: Draw Harness, ViewerTest - vrepaint -continuous has no effect

ViewerTest_ContinuousRedrawer now explicitly invalidates V3d_View content
in addition to emitting window content redrawing request.

"vrepaint -continuous" now tries to avoid creation of dedicated thread
on Windows platform and relies on AIS_ViewController::SetContinuousRedraw().
mod - src/AIS/AIS_ViewController.cxx Diff ] File ]
mod - src/AIS/AIS_ViewController.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ContinuousRedrawer.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ContinuousRedrawer.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_EventManager.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-08-06 16:11 kgv New Issue
2021-08-06 16:11 kgv Assigned To => kgv
2021-08-06 16:13 kgv Relationship added child of 0032433
2021-08-06 16:59 git Note Added: 0103038
2021-08-06 17:35 git Note Added: 0103040
2021-08-07 14:08 git Note Added: 0103089
2021-08-07 15:43 kgv Note Added: 0103092
2021-08-07 15:43 kgv Assigned To kgv => bugmaster
2021-08-07 15:43 kgv Status new => resolved
2021-08-07 15:43 kgv Status resolved => reviewed
2021-08-14 13:22 bugmaster Note Added: 0103196
2021-08-14 13:22 bugmaster Status reviewed => tested
2021-08-14 13:24 bugmaster Test case number => Not required
2021-08-14 13:31 bugmaster Changeset attached => occt master f227f3dc
2021-08-14 13:31 bugmaster Status tested => verified
2021-08-14 13:31 bugmaster Resolution open => fixed
2021-08-14 14:01 git Note Added: 0103213


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker